package rest

import (
	"context"

	"git.ali33.ru/fcg-xvii/go-tools/json"
)

type IOwner interface {
	IsStream() bool
}

type IStream interface {
	SetAuth(json.Map)
	Auth() json.Map
	SetClientData(key string, val any)
	ClientData(key string) (any, bool)
	Context() context.Context
	SendMessage(IRequestOut) (<-chan *RequestStream, error)
	Close()
}
